# Uses of Class
org.snpeff.binseq.coder.Coder

Packages that use Coder
Package
Description
org.snpeff.binseq
org.snpeff.binseq.coder
org.snpeff.overlap

## Uses of Coder in org.snpeff.binseq

Fields in org.snpeff.binseq declared as Coder
Modifier and Type
Field
Description
`static final Coder`
DnaSequencePe.`coder`
Methods in org.snpeff.binseq that return Coder
Modifier and Type
Method
Description
`abstract Coder`
BinarySequence.`getCoder()`
Get sequence encoder invalid input: '&' decoder
`Coder`
DnaAndQualitySequence.`getCoder()`
`Coder`
DnaSequence.`getCoder()`
`Coder`
DnaSequencePe.`getCoder()`

## Uses of Coder in org.snpeff.binseq.coder

Subclasses of Coder in org.snpeff.binseq.coder
Modifier and Type
Class
Description
`class`
`DnaCoder`
Class used to encode invalid input: '&' decode sequences into binary and vice-versa Note:This is a singleton class.
`class`
`DnaQualityCoder`
Class used to encode invalid input: '&' decode sequences into binary and vice-versa - Every base is encoded in 8 bits: - Six bits for the base quality [0 , ..

## Uses of Coder in org.snpeff.overlap

Constructors in org.snpeff.overlap with parameters of type Coder
Modifier
Constructor
Description
``
`BasesChangeCounter(Coder coder)`